package com.oguerreiro.resilient.domain;

import java.util.Random;
import java.util.UUID;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;

public class VariableClassTestSamples {

    private static final Random random = new Random();
    private static final AtomicLong longCount = new AtomicLong(random.nextInt() + (2 * Integer.MAX_VALUE));
    private static final AtomicInteger intCount = new AtomicInteger(random.nextInt() + (2 * Short.MAX_VALUE));

    public static VariableClass getVariableClassSample1() {
        return new VariableClass().id(1L).code("code1").name("name1").version(1);
    }

    public static VariableClass getVariableClassSample2() {
        return new VariableClass().id(2L).code("code2").name("name2").version(2);
    }

    public static VariableClass getVariableClassRandomSampleGenerator() {
        return new VariableClass()
            .id(longCount.incrementAndGet())
            .code(UUID.randomUUID().toString())
            .name(UUID.randomUUID().toString())
            .version(intCount.incrementAndGet());
    }
}
